"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_api_promotion_article = require("../../api/promotion/article.js");
require("../../request/index.js");
require("../../config/index.js");
require("../../store/index.js");
require("../../store/app.js");
require("../../api/promotion/diy.js");
require("../../platform/index.js");
require("../../platform/provider/wechat/index.js");
require("../../platform/provider/wechat/miniProgram.js");
require("../../api/member/auth.js");
require("../../api/member/social.js");
require("../../api/member/user.js");
require("../../platform/provider/apple/index.js");
require("../../platform/share.js");
require("../../router/index.js");
require("../../hooks/useModal.js");
require("../../helper/index.js");
require("../../helper/test.js");
require("../../helper/digit.js");
require("../../index.js");
require("../../api/index.js");
require("../../api/distri/score.js");
require("../../api/distri/share.js");
require("../../api/distri/team.js");
require("../../api/infra/file.js");
require("../../api/member/address.js");
require("../../api/member/point.js");
require("../../api/member/signin.js");
require("../../api/migration/app.js");
require("../../api/migration/chat.js");
require("../../api/migration/index.js");
require("../../api/migration/third.js");
require("../../api/pay/channel.js");
require("../../api/pay/order.js");
require("../../api/pay/wallet.js");
require("../../api/product/category.js");
require("../../api/product/comment.js");
require("../../api/product/favorite.js");
require("../../api/product/history.js");
require("../../api/product/spu.js");
require("../../api/promotion/activity.js");
require("../../api/promotion/bargain.js");
require("../../api/promotion/combination.js");
require("../../api/promotion/coupon.js");
require("../../api/promotion/rewardActivity.js");
require("../../api/promotion/seckill.js");
require("../../api/system/area.js");
require("../../api/system/voice.js");
require("../../api/trade/afterSale.js");
require("../../api/trade/brokerage.js");
require("../../api/trade/cart.js");
require("../../api/trade/config.js");
require("../../api/trade/delivery.js");
require("../../api/trade/order.js");
require("../../url/index.js");
require("../../config/zIndex.js");
require("../../helper/throttle.js");
require("../../platform/pay.js");
require("../../store/user.js");
require("../../store/cart.js");
require("../../store/sys.js");
require("../../store/modal.js");
if (!Array) {
  const _easycom_mp_html2 = common_vendor.resolveComponent("mp-html");
  _easycom_mp_html2();
}
const _easycom_mp_html = () => "../../../uni_modules/mp-html/components/mp-html/mp-html.js";
if (!Math) {
  _easycom_mp_html();
}
const _sfc_main = {
  __name: "s-richtext-block",
  props: {
    data: {
      type: Object,
      default: {}
    },
    styles: {
      type: Object,
      default() {
      }
    }
  },
  setup(__props) {
    const props = __props;
    const state = common_vendor.reactive({
      content: ""
    });
    common_vendor.onMounted(async () => {
      const { data } = await sheep_api_promotion_article.ArticleApi.getArticle(props.data.id);
      state.content = data.content;
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          content: state.content
        }),
        b: common_vendor.s({
          marginLeft: __props.styles.marginLeft + "px",
          marginRight: __props.styles.marginRight + "px",
          marginBottom: __props.styles.marginBottom + "px",
          marginTop: __props.styles.marginTop + "px",
          padding: __props.styles.padding + "px"
        })
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "D:/zx/mall-front-app/sheep/components/s-richtext-block/s-richtext-block.vue"]]);
wx.createComponent(Component);
